跳转到主要内容
POST
https://api.aisa.one/apis/v1
/
apollo
/
people
/
bulk_match
批量人员信息扩充
curl --request POST \
  --url https://api.aisa.one/apis/v1/apollo/people/bulk_match \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "details": [
    "<string>"
  ]
}
'
import requests

url = "https://api.aisa.one/apis/v1/apollo/people/bulk_match"

payload = { "details": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({details: ['<string>']})
};

fetch('https://api.aisa.one/apis/v1/apollo/people/bulk_match', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "<string>",
  "error_code": "<string>",
  "error_message": "<string>",
  "total_requested_enrichments": 123,
  "unique_enriched_records": 123,
  "missing_records": 123,
  "credits_consumed": 123,
  "matches": [
    "<string>"
  ],
  "waterfall": {}
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

run_waterfall_email
boolean

设为 true 以启用电子邮件瀑布式数据丰富

run_waterfall_phone
boolean

设置为 true 以启用电话瀑布式数据补充

reveal_personal_emails
boolean

如果要使用个人电子邮件地址丰富所有匹配人员的数据,请设置为 true。这可能会消耗 Apollo 定价方案中的额度。默认值为 false。如果某人居住在符合 GDPR 要求的地区,Apollo 将不会披露其个人电子邮件地址。

reveal_phone_number
boolean

如果要使用所有可用电话号码(包括手机号码)丰富所有匹配人员的数据,请设置为 true。根据您的 Apollo 定价方案,这可能会消耗额度。默认值为 false。如果此参数设置为 true,则必须为 webhook_url 参数输入 Webhook URL。Apollo 将异步验证电话号码,然后向您提供的 Webhook URL 发送仅包含电话号码详细信息的 JSON 响应。电话号码可能需要几分钟才能送达。

webhook_url
string

如果将 reveal_phone_number 参数设置为 true,则此参数为必填项。否则,请勿使用此参数。输入 Webhook URL,以指定 Apollo 应将包含所请求电话号码的 JSON 响应发送到何处。Apollo 建议测试此流程,确保你能够收到包含电话号码的单独响应。如果电话号码未发送到 Webhook URL,请尝试对 Webhook URL 应用 UTF-8 编码。示例:https://webhook.site/cc4cf44e-e047-4774-8dac-473d28474e40;https%3A%2F%2Fwebhook.site%2Fcc4cf44e-e047-4774-8dac-473d28474e40

请求体

application/json
details
string[]
必填

请在此数组中以对象形式提供要扩充信息的每个人的资料。最多可添加 10 人。

响应

成功响应

status
string

响应字段

error_code
string

响应字段

error_message
string

响应字段

total_requested_enrichments
integer

响应字段

unique_enriched_records
integer

响应字段

missing_records
integer

响应字段

credits_consumed
integer

响应字段

matches
string[]

响应数组

waterfall
object

响应对象